com.google.common.util.concurrent

## Interface ListenableScheduledFuture<V>

- All Superinterfaces:
    java.lang.Comparable<java.util.concurrent.Delayed>, java.util.concurrent.Delayed, java.util.concurrent.Future<V>, ListenableFuture<V>, java.util.concurrent.ScheduledFuture<V>

      @Beta
      public interface ListenableScheduledFuture<V>
      extends java.util.concurrent.ScheduledFuture<V>, ListenableFuture<V>

  Helper interface to implement both `ListenableFuture` and `ScheduledFuture`.
  Since:
    15.0

- - ### Method Summary

    - ### Methods inherited from interface java.util.concurrent.Delayed

      `getDelay`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface com.google.common.util.concurrent.ListenableFuture

      `addListener`

    - ### Methods inherited from interface java.util.concurrent.Future

      `cancel, get, get, isCancelled, isDone`